"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const node_1 = require("./node");
exports.isTableComponent = (component) => (component.type === 'table');
exports.convertToTable = (tableComponent) => {
    const { components } = tableComponent;
    const [head, ...body] = components;
    const { indent, text } = head;
    const fileName = text.replace(/^\s*table:/, '');
    return {
        indent,
        type: 'table',
        fileName,
        cells: body
            .map((blockComponent) => blockComponent.text.substring(indent + 1))
            .map((text) => text
            .split('\t')
            .map((block) => node_1.convertToLineNodes(block, { nested: true, quoted: false })))
    };
};
//# sourceMappingURL=Table.js.map