"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
const strongImageRegExp = /^(?<left>.*?)\[\[(?<src>https?:\/\/[^\s\]]+\.(png|jpe?g|gif|svg))\]\](?<right>.*)$/i;
const gyazoStrongImageRegExp = /^(?<left>.*?)\[\[(?<src>https?:\/\/([0-9a-z-]+\.)?gyazo\.com\/[0-9a-f]{32})\]\](?<right>.*)$/;
const isStrongImageMatch = (obj) => (obj && obj.groups && obj.groups.src);
const createStrongImageNode = (src) => ({
    type: 'strongImage',
    src
});
exports.StrongImageNodeParser = (text, { nested, quoted }, next) => {
    if (nested)
        return next();
    const StrongImageMatch = text.match(strongImageRegExp) || text.match(gyazoStrongImageRegExp);
    if (!isStrongImageMatch(StrongImageMatch))
        return next();
    const { left, src, right } = StrongImageMatch.groups;
    const isGyazoImage = /https?:\/\/([0-9a-z-]+\.)?gyazo\.com\/[0-9a-f]{32}/.test(src);
    return [
        ..._1.convertToLineNodes(left, { nested, quoted }),
        createStrongImageNode(src + (isGyazoImage ? '/thumb/1000' : '')),
        ..._1.convertToLineNodes(right, { nested, quoted })
    ];
};
//# sourceMappingURL=StrongImageNode.js.map