"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const block_1 = require("./block");
const BlockComponent_1 = require("./block/BlockComponent");
const PackedBlockComponent_1 = require("./block/PackedBlockComponent");
exports.convertToBlocks = (blockComponents) => {
    const packedBlockComponents = PackedBlockComponent_1.packBlockComponents(blockComponents);
    return packedBlockComponents.map(block_1.convertToBlock);
};
exports.parse = input => {
    const blockComponents = BlockComponent_1.convertToBlockComponents(input.trim());
    const [firstBlock, ...body] = blockComponents;
    const title = firstBlock && firstBlock.text ? firstBlock.text : 'Untitled';
    const blocks = exports.convertToBlocks(body);
    return { title, blocks };
};
//# sourceMappingURL=parse.js.map